<log4net>
  <root>
    <level value="ALL" />
    <appender-ref ref="Application" />
  </root>
  <appender name="console" type="log4net.Appender.ConsoleAppender">
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %level %logger - %message%newline" />
    </layout>
  </appender>
  <appender name="Application" type="log4net.Appender.RollingFileAppender">
    <file value="ApplicationLog.log" />
    <encoding value="utf-8" />
	<rollingStyle value="Size" />
    <maxSizeRollBackups value="0" />
    <maximumFileSize value="8MB" /> 
    <appendToFile value="false" />
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %level - %message%newline" />
    </layout>
  </appender>
    <appender name="Communication" type="log4net.Appender.RollingFileAppender">
    <file value="CommunicationLog.log" />
    <encoding value="utf-8" />
	<rollingStyle value="Size" />
    <maxSizeRollBackups value="0" />
    <maximumFileSize value="2MB" /> 
    <appendToFile value="false" />
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date - %message%newline" />
    </layout>
  </appender>
  <logger additivity="false" name="Communication">
  <level value="All"/>
    <appender-ref ref="Communication" />
  </logger>
</log4net>